-- rmDC++ 0.403D[1] 2004-05-11 [TTH = TAI53SNW5KV2XDXLZ2ZPNLCN6R5BJIEZWKIVXCQ]
* major change: MP3 and small file hashes are added to filelists again - rmDC++ can't be detected again; screw you BigMuscle =)
* major change: you can turn on / off limiting for each separate transfer now !!!
* added: option to rmDC++ page: enable autostart on windows startup
* added: userlist colors: normal color fixed, passive user color
* added: force reconnect menuitem added on transferview
* added: raw help button on favorite hub properties
* added: clear chat button on hubframe
* added: close all search windows
* added: cheating status column into userlist
* added: friendly hub (tradersrm.homeftp.org)
* improve: userlist can be now in horizontal as well as in vertical position (settings in rmDC++ page)
* improve: remove ISP from autocompletes functionality improoved
* improve: emoticons preview dialog can be finally closed by clicking anywhere else
* improve: when you add downloads from search frame, you can hold SHIFT down to download with highest priority or you can hold ALT down to download with paused priority
* improve: don't send away messages to bots feature improoved
* improve: away toolbar button is now dropdown and you can choose temporary custom away message in here
* improve: all popup menus fixed, now all are with nice separators :)
* changed: /stats command info is not sended to hub, only shown in chat
* changed: speed of internal limiter is not added into description, but internal limiter limits are higher now (5s+5)
* changed: remove diacritics is disabled defaultly
* changed: command /savequeue works on PM as well
* changed: default don't extensions for segment downloading removed
* changed: TigerCheckStream is added on the fly
* fixed: autocompleted nicks are successfully focused in userlist
* fixed: shutdown action taking from webserver
* fixed: crash due to away messages / emulation
* fixed: crash due to check cheating
* fixed: myinfo spam bug
* fixed: annoying sound when "Upload finished" sound event was disabled
* fixed: hopefully fixed slot issue
* fixed: hopefully fixed all 100% cpu issue
* popups: new event - favorite user disconnected (name, address, username)
* sounds: new sound - favorite user disconnected
* sounds: new sound - message typing (on hub and private message)
* winamp: more columns and info added
* winamp: playlist is now refreshed on frame open

-- rmDC++ 0.403B[7.01] 2004-09-10 [TTH = FUVUEHE7JIQUARWNYZC3QDBR3GFIGSOODLIPGTA]
* fixed bug when disconnecting file, sry for that =)

-- rmDC++ 0.403B[7] 2004-09-10 [TTH = XZJ7OZBX7MMR7YKEFBRXNVNTYZADR4FBJ4EXE7A]
* client column now works, successfully shows client type
* get REAL external IP now fixed, should work great :)
* improoved winamp functionality
  + fixed so that winamp location specified in settings is actually used
* added winamp controls toolbar (refresh button) - thx Kuresz for icons
* feature added: when holding shift key down, you can add files without TTH (but same filesize) as alternate source
  for files with TTH ;)
* improoved debug manager (added two check boxes to disable/enable debugging in the debug frame)
* improoved webserver (shutdown actions added - you can easy-control your windoze from here)
* added average share per user
* added background image
* added percentage progress of TTH checking
* scripteditor: added a list view control to script editor showing all available scripts
* scripteditor: added an option to define custom keywords, etc.
* scripteditor: script name now shown in a status bar along with current/total line number
* added menu item: show hashing progress
* EmoPacks: added many emoticon packs - I wrote little application to convert XEP2XML (nConvers miranda emoticons into rmDC++ emoticons)
* EmoPacks: updated, added HintText value, if empty - PasteText used
* EmoPacks: settings added into emoticonpack xml file: "CaseSensitive" (rexexps), "PreferHintText" (otherwise pastetext)
* extratitles command updated, works with new extratitles advanced search now
* windows explorer thumbnails - Thumbs.db files are automatically excluded from share when "remove forbidden" checkbox checked
* EXPERIMENTAL: files MP3 and files smaller than 1 MiB are hashed, but hash is not added to filelist, this way I wanna prevent
  these 2 MiB or larger filelists, this is probably the way
* favorite custom connections for hubs crash bug hopefully fixed
* external IP (via autoupdateIP and button click as well) is now get by internet server, so now it's realy external IP
* search spy supports searching by TTH
* slow downloads disconnecting can be enabled/disabled for each file
* added progressbar to Upload queue (iDC++)
* only sources with the same TTH are listed in "Download to" menu
* antihexing feature successfully done :)

-- rmDC++ 0.403B[6] 2004-01-09
* custom connections for favorite hubs! (you can set now different connections for favorite hub - you can set passive, active and IP)
* popups feature - showing balloon hint in certain events
* in popup events you can specify your own parameters (all these are in language file), available params for each event are written below in brackets
* popup event: hub connected (name, address)
* popup event: hub disconnected (name, address)
* popup event: favorite user connected (name, address, username)
* popup event: cheating user found (name, address, username, msg)
* popup event: download started (username, file)
* popup event: download finished (username, file)
* popup event: download failed (username, file, reason)
* popup event: upload finished (username, file)
* popup event: status line added (name, address, msg)
* popup event: pm received (name, address, username, msg)
* popup event: pm window opened (name, address, username, msg)
* popup settings: show only if in tray, show only if away
* popup settings: max text length, popup visible time, PM popup visible time
* NTP autosynch in interval checkbox and interval settings added into advanced page
* NTP automatically synchronized sound event added
* filelist is updated after hashing is finished (CZDC++)
* added setting to switch to old Share UI
* removed search queue
* fixed memory leak when NetLimiter is detected
* fixed user icons after get user response
* textmenu added on debug frame
* rmDC++ have icon in tray permanently, not configurable now ... popups needs this icon ... :)
* added help button into time format in appearance
* remade some emoticon packs for CZDC to work with rmDC++ regular expressions, thx the authors of original packs
* new emopack: iDC, ripped icons from iDC and made all reg. expressions
* on emoticon preview button added a popupmenu with available emopacks, you can change emopack immediatelly from here

-- rmDC++ 0.403B[5] 2004-25-08
* emoticons now supports REGULAR EXPRESSIONS! - much more easy now to create emoticon packs and much more effective replacing text in chat!
  -> emoticons loading remade - completely remade to support emoticon packs, take a look at EmoPacks\DCPro.xml to see emopack syntax
* all settings files are now in separate folder - Settings
* all large tooltips durations set to 30 seconds now
* tooltips on status last lines are now ballons
* ignore now ignores OPs too, why the fuck not - OP's are mostly idiots (PPK, nexus, ...)
* monitor suspend icon to toolbar
* more icons in menu (thx Kuresz)
* add to favorites is now as checkbox (you can remove favorite from userlist now)
* open my filelist function (fullDC)
* shutdown actions: power off, log off, reboot, suspend, hibernate, close rmdc++
* emoticons button added
* advanced emulations
* emulation versions configurable (it's to tag and to away messages)
* emulation of 12 clients (thx Loverius)
* icon doubling prevented in preview
* filter on search result and in userlist now runs after enter pressed, better, quicker :)
* fixed shutdown hibernation and suspend
* dblclick action "Favorite User" now toggle favorite user successfully
* ignorelist (list of ignored users) is now autosaved/autoloaded for each favorite hub
* emoticons preview hint show delay and emoticons preview icon margin are now configurable in advanced settings
* emoticons packs support - now all files EmoPack_*.xml will be considered as emotion pack and automatically loaded to available emopacks
* emoticon pack change applies now without restarting rmDC++
* natural sorting feature, correct numeric sorts (PDC)
* queue paused item color choosable
* ignore all OPs feature added (in advanced settings), you can now ignore all fuckin' OPs easily, watch out if u r ignoring slunicko hub OPs :D
* webserver is now protected with username and password + more updates (PDC)
* autocomplete feature added - configurable by file AutoComplete.txt (press TAB on message edit) (PDC)
* internal LUA script syntax editor added (DCDM)
* winamp frame showing playing song, playlist, etc. (DCDM)
* lua messages are now fired into script editor window too, better
* added pause/continue button into debug messages window

-- rmDC++ 0.403B[4] 2004-12-08
* debug messages
* fixed lua
* close pms, filelists
* sound events: connected to hub, disconnected, favorite user connected
* all segments taken bug fixed
* hubframe: copy name, address
* advanced limiting, fixed one - added remove if speed ... + if users count is ...
* shutdown <->
* userlist colors
* refresh userlistu
* opravy kliku v chatu a dani reportu, ignore, ...
* button toggle slow downloads disconnecting
* default toolbar button
* default userlist colors button
* 4 new predefined styles

-- rmDC++ 0.403B[3] 2004-10-08
* all menus remade, resorted, reorganized - and now with nice stripes :D
* view - debug messages hotkey F11
* LUA bug fixed (now rmDC++ successfully handles oncommandenter and ondatesent and received events)
* hotkey F12 for monitor sleep
* fixed shutdown and real shutdown toggling
* disconnecting slow downloads completely REMADE!!! now 100% working! + added more settings in here:
  "And users online are equal or more ... xxx" + "Remove user from queue, if speed is below ... xxx checkbox"
* toggle disconnecting button on toolbar
* userlist changes + userlist colors in settings! + default button
* ignore on userlist changed
* report user funcion for OPs now shows time when user logged into hub
* rmDC++ updates on web are now required (not optionable now) and rmDC always checks TTH of client with TTH saved
in rmDC++ list of all released clients on web, so TTH is checked this way, no changes in EXE allowed because of this!
(when user changes EXE, application will not start! - list will be uploaded with public release)
* 2 new predefined styles
* log kicked and banned user feature
* toolbar default button in settings
* close all filelist and close all PMs function added
* new sound events: hub connected, hub disconnected (forcely), last download segment disconnected, favorite user connected
* set priority weirdness from SDC++ fixed as well as all slots taken weirdness

-- rmDC++ 0.403B[2] 2004-07-08
* based on latest DC++ CVS since 2004-03-08 :)
* nicer icons (thx Kuresz for everything)
* nice aboutdlg icon (thx Loverius for everything)
* LUA scripts support
* internal webserver
* predefined chat styles in colors and fonts settings
* NTP server time synchronize
* shutdown anyway feature
* saving away state when exiting
* sending PM from listing directory tab - so many requests for this :)
* new sound events (onDisconnect, onFavUserConnected, ...)
* changed settings dialog pages to look the same, nicely
* garbage commands (advanced now sending random data, not static data)
* ignore PMs, supress mainchat features
* ignore/unignore fixes
* doubleclick userlist actions
* emoticons advanced settings
* better emulation (not done completely)
* different IP for active searches
* new grant extra slot feature - custom
* moving hubs tabs, closing by middlemouse
* search only per tth entry option in search window and in options menu
* fixed background colors on other systems than XP
* other bug fixes

-- rmDC++ 0.306F[3] 2004-28-03
* regular expressions to disable filetypes - you can now easily specify disabling
   segments for all archive files (RAR, R00, R01, ...) + case insensitive
   default regexp: "(iso)|(bin)|(img)|(r(ar)|[0-9]+)"
* normalized definition kB, MB, GB, TB => KiB, MiB, GiB, TiB
   (since 1998 the International Electrotechnical Commission (IEC) has defined
   the kilobyte as 1000 bytes, and have 1024 bytes called a kibibyte (KiB))
* new sound events
   - on disconnect
   - on last segment disconnect
* new rmDC++ toolbar icon and settings dialog icons (thx Kuresz)
* new rmDC++ program icon (thx Loverius)
* antihexing feature (rmDC++ exefile can't be modified at all)
* you can easily choose one of different predefined styles (4)
* added 2 styles: default and dark (thx Schnio)
* press F12 before sleeping [monitor power off] :)
* OPs are always identified as they use RMDC++ emulation
* toggle sounds on/off button on toolbar added
* toggle limiter on/off button on toolbar added
* enable/disable kademlia settings
* emoticons support (CZDC++)
* advanced emoticons settings
* better, commented and just better LUA startup script
* update by latest ReverseConnect (0.306F)
* segments count set to 4 defaultly
* IP column on transferview
* little fix in emulation, emulation is better now
* sounds can be disabled
* removed PC speaker beeps (if no sound)
* away state is saved when exiting (for those who are still away)
* fixed all popupus on private chat
* update in /cc and /rc (cc displays time of last reset and rc displays last state)
* feature "Send zero hubs count" in not available any more
* new emulation - DC++ (without tag)
* download to directories feature (PhantomDC)
* private chat history is loaded into private window when opened (PhantomDC)
* private chat history lines options configurable (10 default)
* fully customizable toolbar icons positions (PhantomDC)
* you can add own icons to main toolbar (PhantomDC)
* files you have already in queue are highlighted on search result (PhantomDC)
* go to file on search result (download user's filelist and focus selected file in it)
* copy file location (copy to clipboard complete dchub:// + selected file location)
* fixed crash on reconnect click while in Download Queue
* appearance and other minor updates
* optimized CPU usage in tray icon = cca. 0-2% CPU :P

-- rmDC++ 0.306E[6] 2004-04-03
* plugins support + 3 plugins (PhantomDC)
   - WebShortcuts (search for subtitles, vcd quality, forum & your own searches)
   - Media (allow control of Zoom Player, Winamp, Sonique, Foobar and WMP)
   - WindowPos (always saves all MDI windows positions)
* LUA scripts support (you can write your own client-side chat bots, for example)
* 6 new emulations (zDC++, CZDC++, StrongDC, BCDC++, PhantomDC and oDC)
* debug frame with a lot of debug infos
* autoshutdown, you can choose to power off your PC when no downloads (oDC)
* ignore and unignore is now enabled or disabled when ignoring or not
* dont send hub count feature, now send 1 correctly if OP on that hub
* new icons into settings treeview (you can disable them in settings)
* finally fixed slot issue (no more closing when downloading more files)
* away icon on toolbar (PhantomDC)
* new default sounds predefined
* play button into sounds settings added
* fixed default dir when browsing sounds
* no sounds on rmDC++ startup (there was one because of queue)
* advanced RMDC++ identification
* new icons into search types on search frame (BCDC++)
* ISP column in userlist (SDC)
* redesigned colors dialog (just a little)
* you can see users count in queue status when downloading (SDC)
* connection combobox is now editable, so you can choose whatever
* emulation now apply to away messages too
* F5 refreshs your filelist
* hub commands /cc and /rc (you can check your transfers in certain time)
* hub command /dslots to set your max. download slots
* more complex localization
* fixed minor bugs, including hanging rmDC++

-- rmDC++ 0.306E[5] 2004-01-03
* fixed bugs in download queue popup menus (readd source, send PM) (oDC)
* feature to configure own preview applications for files (e.g. avipreview for avi, ...) (PhantomDC)
* advanced faker detection settings, different sizes for files, etc. (DC++k)
* advanced segments settings, you can disable segmenting for certain files (SDC)
* procentage faker size tollerability added
* if sharesize of certain user ends with more than 5 zeros, this user is considered as a faker
* added auto exact match feature for searches into advacnced settings
* max alternate sources count can be set
* you can stop searches
* search for alternates now available from transfer file frame popupmenu
* getip button added into general page (SDC)
* when IP addresses is internal (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255, 169.254.0.0-169.254.255.255),
  connection settings automatically switches to passive
* advanced sounds settings, now ExListView
* fixed adding alternative sources
* away button (switch away/back)

-- rmDC++ 0.306E[4] 2004-28-02
* used connection column into transfer view (and you can now have "multi different connections" - just switch before connecting to a hub or user)
* added main chat commands /slots, /active <ip>, /passive, /socks <ip>
* added option into rmDC++ page (in settings) "Allow private message /getslot command"
* new picture in about dialog
* new arrow icons in transferview (oDC)
* new, more stable getting new version informations

-- rmDC++ 0.306E[3] 2004-28-02
* new splash screen
* avi preview support
* fixed closing slots when downloading more files [thx Loverius for report]
* added some special main chat commands:
  type /et Excalibur into mainchat to search cz subtitles on ExtraTitles (example)
  type /c Excalibur into mainchat to search movie information on CSFD
  type /i Excalibur into mainchat to search movie information on IMDB

-- rmDC++ 0.306E[2] 2004-21-02
* getting MP3 Info
* advanced sounds settings
* fakers detection (+ sound announce too)
* change in custom tag settings (add %l parameter to just for upload limit without ",L:")
* upload speed & ping columns into search result
* removed these random names, now just original name + .tdc while temp downloading
* new nice user list icons (32-bit)
* fixed progress bars, now works properly
* segmented download icon & transfer compressed icons into progress bar (new mode)
* real time left on segmented downloads
* now in speed when segmented more information (this segment speed => all segments speed)
* fixed passive wrong recognition when hub has tag sending disabled (CZPRO)
